Summary:	Clone of a Risk clone
Name:		teg
Version:	0.11.2
Release:	%mkrel 7
URL:		http://teg.sourceforge.net/
License:	GPL
Group:		Games/Strategy
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

Source0:	%{name}-%{version}.tar.bz2
Patch0:		teg-0.11.2-remove-de-comment.patch
Obsoletes:	teg-gnome1
# 0.11.0-4mdk (Abel) I don't think providing teg-gnome1 is reasonable,
# but ... rpmlint
Provides:	teg-gnome1
BuildRequires:	GConf2
BuildRequires:	libgnomeui2-devel
BuildRequires:	imagemagick
BuildRequires:	desktop-file-utils
Requires(post): GConf2
Requires(preun): GConf2

%description
Tenes Emapandas Graciela (TEG) is a clone of 'Plan Táctico y Estratégico
de la Guerra' (Tactical and Strategic plan of the War), which is a
pseudo-clone of Risk, a turn-based strategy game. Some rules are
different.

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x --bindir=%{_gamesbindir}
%make

%install
rm -rf $RPM_BUILD_ROOT
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std bindir=%{_gamesbindir}

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Games/*

mkdir -p $RPM_BUILD_ROOT%{_iconsdir} \
	 $RPM_BUILD_ROOT%{_miconsdir} \
	 $RPM_BUILD_ROOT%{_liconsdir}
convert -geometry 48x48 client/teg_pix/teg_icono.png $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
convert -geometry 32x32 client/teg_pix/teg_icono.png $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
convert -geometry 16x16 client/teg_pix/teg_icono.png $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name} --with-gnome

%if %mdkversion < 200900
%post
%update_menus
%post_install_gconf_schemas %{name}
%endif

%preun
%preun_uninstall_gconf_schemas %{name}

%if %mdkversion < 200900
%postun
%clean_menus
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-, root, root)
%doc AUTHORS ChangeLog PEOPLE README* ReleaseNotes.txt TODO
%{_gamesbindir}/*
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/apps/Games/*.desktop
%{_sysconfdir}/gconf/schemas/*.schemas
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png




%changelog
* Fri Dec 03 2010 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 0.11.2-7mdv2011.0
+ Revision: 606764
- Rebuild

* Wed Sep 09 2009 Thierry Vignaud <tv@mandriva.org> 0.11.2-6mdv2010.0
+ Revision: 434315
- rebuild

  + Oden Eriksson <oeriksson@mandriva.com>
    - lowercase ImageMagick

* Sat Aug 02 2008 Thierry Vignaud <tv@mandriva.org> 0.11.2-5mdv2009.0
+ Revision: 261458
- rebuild

* Wed Jul 30 2008 Thierry Vignaud <tv@mandriva.org> 0.11.2-4mdv2009.0
+ Revision: 254353
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.11.2-2mdv2008.1
+ Revision: 136535
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 01 2007 Funda Wang <fwang@mandriva.org> 0.11.2-2mdv2008.0
+ Revision: 77294
- Remove wrong de comment of menu entry

* Thu May 31 2007 Olivier Blin <oblin@mandriva.com> 0.11.2-1mdv2008.0
+ Revision: 33157
- use XDG menu instead of old debian style menu (and thus fix #18518)
- 0.11.2


* Sun Jan 07 2007 Olivier Blin <oblin@mandriva.com> 0.11.1-2mdv2007.0
+ Revision: 105175
- rebuild with openssl (#28013)
- use gconf schemas macros
- do not run intltoolize, it is not required anymore
- Import teg

* Thu Jul 29 2004 Guillaume Cottenceau <gc@mandrakesoft.com> 0.11.1-1mdk
- new version

* Wed Feb 18 2004 Abel Cheung <deaddog@deaddog.org> 0.11.0-5mdk
- Patch0: from Andre van Blokland <avblokland@gmx.net>:
  o Added patches from CVS which hopefully stops the client from crashing
- Remove server menu entry, it can be started via client
- Move binary to $gamesbindir

